# tds_connection Struct Reference

List of all members.

## Public Attributes

DSTR | app_name
int | block_size
int | broken_dates
int | broken_money
TDS_TINYINT | bulk_copy
unsigned char | capabilities [TDS_MAX_CAPABILITY]
DSTR | client_charset
DSTR | client_host_name
TDS_INT | connect_timeout
DSTR | database
int | debug_flags
DSTR | dump_file
int | emul_little_endian
TDS_TINYINT | encryption_level
DSTR | instance_name
DSTR | ip_addr
| ip of server
DSTR | language
DSTR | library
TDS_TINYINT | major_version
TDS_TINYINT | minor_version
DSTR | password
| password of account login
int | port
| port of database service
TDS_INT | query_timeout
DSTR | server_charset
| charset of server
DSTR | server_host_name
DSTR | server_name
| server name (in freetds.conf)
TDS_TINYINT | suppress_language
int | text_size
DSTR | user_name
| account for login

The documentation for this struct was generated from the following file:

- include/tds.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines